#pragma once

#include "RESOURCE_COMMON.h"

void resource_texture_state_free(Resources* self, const TextureType* types, u32 count);
void resource_texture_state_init(Resources* self, const TextureType* types, u32 count);
void resource_texture_free(Resources* self, TextureType type);
bool resource_texture_init(Resources* self, TextureType type);
